/*
 * Vifir - An electronic flight bag wannabe utility for aircraft pilots
 * Copyright (C) 2009 David Ludlow
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * dave@adsllc.com, PO Box 13070, Toledo, OH 43623
 */

#ifndef ENROUTEWAYPOINT_H_
#define ENROUTEWAYPOINT_H_

#include "Waypoint.h"

class EnrouteWaypoint : public Waypoint
{
public:
	EnrouteWaypoint();

	bool ParseNFD(std::string Line);
	bool ParseXPlane600(std::string *Line);
	bool MakeBinary(struct EnrouteWaypoint_Binary_struct *BinaryData);
	void SetFromBinary(struct EnrouteWaypoint_Binary_struct *BinaryData);
};

/* Increment the version when the structure changes */
#define ENROUTEWAYPOINT_BINARY_STRUCT_VER 1
#ifdef WIN32
#pragma pack(1)
#endif
struct EnrouteWaypoint_Binary_struct {
	char ID[16];
	char Name[50];
	int32_t Lonx1000000,Latx1000000;
}
#ifndef WIN32
        __attribute__ ((packed))
#endif
;
#ifdef WIN32
#pragma pack()
#endif

#endif /*ENROUTEWAYPOINT_H_*/
